Lists
Get Stream Lists
Returns lists of values for a Stream. The first list type is recontact: PIDs eligible for a stream whose Recontact field is true.
Staging base URL for this endpoint is https://stage-api.researchdesk.com. Production is https://api.researchdesk.com.
Only respondents whose PIDs are returned with type recontact are eligible for that recontact stream. They must also match the stream’s qualifications and quotas. Respondents sent without a matching PID are termed with isc 5008 (Respondent List Mismatch). Future list types (for example exclude) may appear on this endpoint; use only results whose type is recontact.
GET
/
v2
/
lists
/
streams
/
{StreamNumber}
Get Stream Lists
curl --request GET \
--url https://api.researchdesk.com/v2/lists/streams/{StreamNumber} \
--header 'Authorization: <authorization>'import requests
url = "https://api.researchdesk.com/v2/lists/streams/{StreamNumber}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.researchdesk.com/v2/lists/streams/{StreamNumber}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.researchdesk.com/v2/lists/streams/{StreamNumber}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.researchdesk.com/v2/lists/streams/{StreamNumber}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.researchdesk.com/v2/lists/streams/{StreamNumber}")
.header("Authorization", "<authorization>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.researchdesk.com/v2/lists/streams/{StreamNumber}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
response = http.request(request)
puts response.read_body{
"Status": 0,
"Message": "Success",
"Data": [
{
"type": "recontact",
"total": 5,
"results": [
{
"pid": "SupplierPID0004"
},
{
"pid": "SupplierPID0002"
},
{
"pid": "SupplierPID0001"
},
{
"pid": "SupplierPID0003"
},
{
"pid": "SupplierPID0005"
}
]
}
]
}Returns lists of values for a Stream. The first list type is
A recontact stream on the Surveys response looks like this:
recontact: the supplier PIDs eligible for a stream designated as a recontact.
Path Parameters
| Parameter | Description | Required | Example |
|---|---|---|---|
StreamNumber | The StreamNumber of the stream. | Yes | 11886 |
Environments
| Environment | URL |
|---|---|
| Staging | https://stage-api.researchdesk.com/v2/lists/streams/{StreamNumber} |
| Production | https://api.researchdesk.com/v2/lists/streams/{StreamNumber} |
How to use it
- On List Surveys & Streams, check the stream object for
"Recontact": true. - Call this endpoint to retrieve the PIDs eligible for that stream.
- Send only those respondents. The incoming
pidmust match a PID in the list, and the respondent must still match the stream’s qualifications and quotas.
{
"Status": 0,
"Message": "Success",
"Data": [
{
"type": "recontact",
"total": 5,
"results": [
{ "pid": "SupplierPID0004" },
{ "pid": "SupplierPID0002" },
{ "pid": "SupplierPID0001" },
{ "pid": "SupplierPID0003" },
{ "pid": "SupplierPID0005" }
]
}
]
}
"Streams": [
{
"StreamId": 11886,
"Recontact": true
}
]
Only respondents whose PIDs are returned with
"type": "recontact" are eligible for that stream. A respondent sent without a matching PID is termed with isc 5008 (Respondent List Mismatch). Other list types (for example exclude) may be added later — use results only when type is recontact.Headers
Your obfuscated Supply API key (GUID), provided by Rep Data.
Path Parameters
StreamNumber (integer) of the recontact stream.
Was this page helpful?
Get Stream Lists
curl --request GET \
--url https://api.researchdesk.com/v2/lists/streams/{StreamNumber} \
--header 'Authorization: <authorization>'import requests
url = "https://api.researchdesk.com/v2/lists/streams/{StreamNumber}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.researchdesk.com/v2/lists/streams/{StreamNumber}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.researchdesk.com/v2/lists/streams/{StreamNumber}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.researchdesk.com/v2/lists/streams/{StreamNumber}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.researchdesk.com/v2/lists/streams/{StreamNumber}")
.header("Authorization", "<authorization>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.researchdesk.com/v2/lists/streams/{StreamNumber}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
response = http.request(request)
puts response.read_body{
"Status": 0,
"Message": "Success",
"Data": [
{
"type": "recontact",
"total": 5,
"results": [
{
"pid": "SupplierPID0004"
},
{
"pid": "SupplierPID0002"
},
{
"pid": "SupplierPID0001"
},
{
"pid": "SupplierPID0003"
},
{
"pid": "SupplierPID0005"
}
]
}
]
}